
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/install:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 2 - Pre-Alpha',
        'Programming Language :: Python :: 3.11',
        'License :: OSI Approved :: MIT License',
    ],
    'description': 'Backend.AI Installer',
    'entry_points': {
        'backendai_cli_v10': [
            'install = ai.backend.install.cli:main',
        ],
    },
    'install_requires': (
        'aiohttp~=3.8.1',
        'backend.ai-common==24.03.0dev3',
        'backend.ai-plugin==24.03.0dev3',
        'click~=8.1.7',
        'pydantic~=2.4.2',
        'rich~=13.6',
        'textual~=0.41',
        'tomlkit~=0.11.1',
    ),
    'license': 'MIT',
    'long_description': """Backend.AI Installer
====================

Package Structure
-----------------

* `ai.backend.install`: The installer package

Development
-----------

### Using the textual debug mode

First, install the textual-dev package in the `python-default` venv.
```shell
./py -m pip install textual-dev
```

Open two terminal sessions.
In the first one, run:
```shell
dist/export/python/virtualenvs/python-default/3.11.6/bin/textual console
```

In the second one, run:
```shell
# manually activate the venv; otherwise textual cannot find itself
source dist/export/python/virtualenvs/python-default/3.11.6/bin/activate
PYTHONPATH=src dist/export/python/virtualenvs/python-default/3.11.6/bin/textual run --dev ai.backend.install.cli:InstallerApp
```

> **Warning**
> You should use the `textual` executable created *inside the venv's `bin` directory*.
> `./py -m textual` only shows the demo instead of executing the devtool command.
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-install',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.install': (
            'VERSION',
            'app.tcss',
            'py.typed',
        ),
    },
    'packages': (
        'ai.backend.install',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.11,<3.12',
    'url': 'https://github.com/lablup/backend.ai',
    'version': '24.03.0dev3',
    'zip_safe': False,
})
